com.google.cloud.dataflow.sdk.transforms

## Class CombineWithContext

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.CombineWithContext

    public class CombineWithContext
    extends Object

This class contains combine functions that have access to `PipelineOptions` and side inputs through `CombineWithContext.Context`.

`CombineWithContext.CombineFnWithContext` and `CombineWithContext.KeyedCombineFnWithContext` are for users to extend.

### Nested Class Summary

Nested Classes
`static class` `CombineWithContext.CombineFnWithContext<InputT,AccumT,OutputT>` A combine function that has access to `PipelineOptions` and side inputs through `CombineWithContext.Context`.
`static class` `CombineWithContext.Context` Information accessible to all methods in `CombineFnWithContext` and `KeyedCombineFnWithContext`.
`static class` `CombineWithContext.KeyedCombineFnWithContext<K,InputT,AccumT,OutputT>` A keyed combine function that has access to `PipelineOptions` and side inputs through `CombineWithContext.Context`.
`static interface` `CombineWithContext.RequiresContextInternal` An internal interface for signaling that a `GloballyCombineFn` or a `PerKeyCombineFn` needs to access `CombineWithContext.Context`.

### Constructor Summary

Constructors
Constructor and Description
`CombineWithContext()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CombineWithContext

    public CombineWithContext()